// formkit.config.js
import { defaultConfig } from '@formkit/vue'
import { rootClasses } from './formkit.theme'

import { createFloatingLabelsPlugin, createMultiStepPlugin } from '@formkit/addons'
import '@formkit/addons/css/multistep'
import '@formkit/addons/css/floatingLabels'

const config = defaultConfig({
    config: {
        rootClasses,
    },
    plugins: [createMultiStepPlugin(), createFloatingLabelsPlugin()],
})

export default config
