import { defineStore } from 'pinia';

export const useLayoutStore = defineStore('layout', {
  state: () => ({
    showSidebar: true,
  }),
  getters: {
    isSidebarVisible: (state) => state.showSidebar,
  },
  actions: {
    toggleSidebar() {
      this.showSidebar = !this.showSidebar;
    },
  },
});
